For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETList Channels Currency Assignments
              • POSTCreate Multiple Channels Currency Assignments
              • PUTUpdate Multiple Channels Currency Assignments
              • GETList Channel Currency Assignments
              • POSTCreate Channel Currency Assignments
              • PUTUpdate Channel Currency Assignments
              • DELDelete Channel Currency Assignments
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsCurrency Assignments

Create Channel Currency Assignments

POST
https://api.bigcommerce.com/stores/:store_hash/v3/channels/:channel_id/currency-assignments
POST
/stores/:store_hash/v3/channels/:channel_id/currency-assignments
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/channels/1/currency-assignments \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "enabled_currencies": [
> "USD",
> "GBP",
> "AUD"
> ],
> "default_currency": "USD"
>}'
1{
2 "data": {
3 "channel_id": 1,
4 "enabled_currencies": [
5 "USD",
6 "GBP",
7 "AUD"
8 ],
9 "default_currency": "USD"
10 },
11 "meta": {}
12}

Sets enabled currencies and default currency for a specific channel. Note that currencies must be added first in the Settings > Setup > Currencies settings from an active MSF-enabled BigCommerce store control panel before the currencies can be assigned to a channel.

Was this page helpful?
Previous

List Channel Currency Assignments

Next

Update Channel Currency Assignments

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idlongRequired
The ID of a channel.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
enabled_currencieslist of stringsRequired

Currencies that are enabled for the specified channel in ISO 4217 three character alphabetic format.

default_currencystringRequired

Default currency for the channel in ISO 4217 three character alphabetic format. Will be used on storefront when other currencies cannot.

Response

dataobject
Details about currency assignments for a specific channel.
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.